Get upload
GET
/upload/files/{id}Get details of an uploaded file
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, UploadsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new UploadsApi(config);
const result = await api.getUpload({ "id": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/upload/files/123?token=$TESTCOLLAB_TOKEN"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id |
path | number | Yes | Upload ID |
Response
Section titled “Response”200 — Selected upload
| Field | Type | Required | Description |
|---|---|---|---|
id |
number | Yes | — |
name |
string | Yes | — |
hash |
string | Yes | — |
ext |
string | Yes | — |
mime |
string | Yes | — |
size |
string | Yes | — |
url |
string | Yes | — |
created_by |
number | No | — |
created_at |
string | Yes | — |
updated_at |
string | Yes | — |
{ "id": 123, "name": "example", "hash": "example", "ext": "example", "mime": "example", "size": "example", "url": "example", "created_by": 123, "created_at": "example"}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
403 |
Forbidden |